package com.haha.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.haha.entity.DistributorReferral;
import com.haha.entity.dto.ReferralQueryDTO;

public interface DistributorReferralService extends IService<DistributorReferral> {

    DistributorReferral bindReferral(String distributorCode, Long userId);

    IPage<DistributorReferral> getPage(ReferralQueryDTO queryDTO);

    DistributorReferral getByUserId(Long userId);
}
